← Tabellen
Läschen

Scotland

Caledonia Midlands Region League Division 3

#EquipePWDLPDBPPtsForm
1Aberfeldy Rugby Club5500–525WWWWW
2Rosyth Sharks RFC6303–518WWWLL
3Dundee Uni Medics3300–315WWW
4Arbroath RFC6204–514WLLWL
5Dunfermline 2nd XV7205–412LLLWL
6Grangemouth Stags 2nd XV5203–311WWLLL
7Waid Academy FP RFC3102–23LLW
8Kirkcaldy 2nd XV5203–30LLWLW

Quell: Scottish Rugby · gepréift 17. Okt. 23:20 · Form: déi lescht fënnef Resultater, déi mir hunn, dat neiste riets.

Matcher & Resultater →

All Tabell ass déi vun der Liga selwer publizéiert, mat Bonuspunkten, Ofzich an Entscheedungsregelen. BP steet do, wou d'Liga en publizéiert; soss ass en schonn an Pts.